Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileStrip Class Reference

## Description

Represents a profile strip tool.

Inheritance diagram for GoProfileStrip:

## Public Member Functions
kStatus | GoProfileStrip_AddMeasurement (GoProfileStrip tool, GoMeasurementType type, GoMeasurement *measurement)
| Adds an additional profile strip tool measurement. More...
GoProfileStripBaseType | GoProfileStrip_BaseType (GoProfileStrip tool)
| Gets the strip base type. More...
kStatus | GoProfileStrip_EnableRegion (GoProfileStrip tool, kBool enable)
| Enables or disables the region. More...
kStatus | GoProfileStrip_EnableTilt (GoProfileStrip tool, kBool enable)
| Enables or disables tilt. More...
GoProfileStripEdgeType | GoProfileStrip_LeftEdge (GoProfileStrip tool)
| Gets the left edge value. More...
k64f | GoProfileStrip_MaxVoidWidth (GoProfileStrip tool)
| Gets the maximum void width. More...
GoMeasurement | GoProfileStrip_MeasurementAt (GoProfileStrip tool, kSize index)
| Returns a measurement object at the given index. More...
kSize | GoProfileStrip_MeasurementCount (GoProfileStrip tool)
| Returns the measurement count for the given tool. More...
k64f | GoProfileStrip_MinHeight (GoProfileStrip tool)
| Gets the minimum height. More...
k64f | GoProfileStrip_MinWidth (GoProfileStrip tool)
| Gets the minimum width. More...
GoProfileRegion | GoProfileStrip_Region (GoProfileStrip tool)
| Gets the profile strip tool region. More...
kBool | GoProfileStrip_RegionEnabled (GoProfileStrip tool)
| Indicates whether the region is enabled. More...
kStatus | GoProfileStrip_RemoveMeasurement (GoProfileStrip tool, kSize index)
| Removes a measurement from the tool at the given index. More...
GoProfileStripEdgeType | GoProfileStrip_RightEdge (GoProfileStrip tool)
| Gets the right edge value. More...
kStatus | GoProfileStrip_SetBaseType (GoProfileStrip tool, GoProfileStripBaseType type)
| Sets the strip base type. More...
kStatus | GoProfileStrip_SetLeftEdge (GoProfileStrip tool, GoProfileStripEdgeType leftEdge)
| Sets the left edge. More...
kStatus | GoProfileStrip_SetMaxVoidWidth (GoProfileStrip tool, k64f value)
| Sets the maximum void width. More...
kStatus | GoProfileStrip_SetMinHeight (GoProfileStrip tool, k64f value)
| Sets the transition height. More...
kStatus | GoProfileStrip_SetMinWidth (GoProfileStrip tool, k64f value)
| Sets the minimum width. More...
kStatus | GoProfileStrip_SetRightEdge (GoProfileStrip tool, GoProfileStripEdgeType rightEdge)
| Sets the right edge. More...
kStatus | GoProfileStrip_SetSupportWidth (GoProfileStrip tool, k64f value)
| Sets the support width. More...
kStatus | GoProfileStrip_SetTransitionWidth (GoProfileStrip tool, k64f value)
| Sets the transition width. More...
k64f | GoProfileStrip_SupportWidth (GoProfileStrip tool)
| Gets the support width. More...
kBool | GoProfileStrip_TiltEnabled (GoProfileStrip tool)
| Gets the tilt enabled state. More...
k64f | GoProfileStrip_TransitionWidth (GoProfileStrip tool)
| Gets the transition width. More...
k64f | GoProfileStrip_TransitionWidthLimitMax (GoProfileStrip tool)
| Gets the transition width limit maximum. More...
k64f | GoProfileStrip_TransitionWidthLimitMin (GoProfileStrip tool)
| Gets the transition width limit minimum. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetStream (GoProfileTool tool, GoDataStream stream)
| Sets the data stream. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
GoDataStream | GoProfileTool_Stream (GoProfileTool tool)
| Gets the data stream. More...
GoDataStream | GoProfileTool_StreamOptionAt (GoProfileTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoProfileTool_StreamOptionCount (GoProfileTool tool)
| Gets the data stream option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h